#ifndef ADDPOLYGON_H
#define ADDPOLYGON_H

#include <QtGui/QDialog>
#include "ui_addpolygon.h"
/**
 * \brief Classe de interface para adicionar pontos e formar o poligno.
 */
class AddPolygon : public QDialog
{
    Q_OBJECT

public:
    AddPolygon(QWidget *parent = 0);
    ~AddPolygon();

private:
    Ui::AddPolygonClass ui;

private slots:
        //Resposta ao clique no botão para adicionar o ponto que formará o poligono
        void on_addPointButton_clicked();
        //Resposta ao clique no botão para remover linhas do dialog que formam a lista de pontos do poligono
        void on_removePointButton_clicked();
         //Resposta ao clique no botão ok
        void on_addButtonBox_accepted();
        //Resposta ao clique no botão cancel
        void on_addButtonBox_rejected();
};

#endif // ADDPOLYGON_H
