#ifndef TRANSFORM_H
#define TRANSFORM_H

#include <QDialog>
#include <QColorDialog>
#include "model/Mediator.h"
#include "model/transformer.h"

namespace Ui {
    class Transform;
}

class Transform : public QDialog
{
    Q_OBJECT

public:
    explicit Transform(QWidget *parent = 0);
    ~Transform();

private:
    Ui::Transform *ui;

private slots:
    //metodo que responde ao click do botão aplicar, na aba cor da janela de transformação aplicando a cor ao objeto
    void on_btn_cor_clicked();
    //metodo que responde ao click do botão palete de cores, na aba cor da janela de transformação abrindo o dialog de cores
    void on_pushButton_clicked();
    //metodo que responde ao click do botão aplicar, na aba de escalonamento da janela de transformação
    void on_btn_escalona_clicked();
    //metodo que responde ao click do botão aplicar, na aba de translação da janela de transformação
    void on_btn_Trans_clicked();
    //metodo que responde ao click do botão aplicar, na aba de rotação da janela de transformação
    void on_btn_rota_clicked();
    //metodo que atualiza as spin box com a cor selecionada no dialog de cores
    void corEscolhida(QColor);
};

#endif // TRANSFORM_H
