#include "addline.h"
#include "model/Mediator.h"

//Metodo construtor
AddLine::AddLine(QWidget *parent)
    : QDialog(parent)
{
	ui.setupUi(this);
}

//Metodo destrutor
AddLine::~AddLine()
{

}

//Resposta ao clique no botão ok
void AddLine::on_addButtons_accepted() {
        double x1 = ui.LinhaX1->text().toDouble();
        double y1 = ui.LinhaY1->text().toDouble();
        double x2 = ui.LinhaX2->text().toDouble();
        double y2 = ui.LinhaY2->text().toDouble();
        Mediator::instance()->addLine(x1,y1,x2,y2,ui.LinhaNome->text());
	close();
}

//Resposta ao clique no botão cancel
void AddLine::on_addButtons_rejected() {
        close();
}
